#include <assert.h>
#include <string.h>
#include "x_err.hpp"
#include "unique.hpp"
#include "compress.hpp"
#include "packet.hpp"

const int		cMethod[MODE_LEN + MODE_LEN2] = {
	CM_RUN, CM_INC, 0, 1,		//  0 - 3
	2, CM_INC, CM_NONE, 3,		//  4 - 7
	4, 5, 6, 7,			//  8 - 11
	CM_RUN, CM_RUN, 8, 9,		// 12 - 15

	CM_RUN, CM_INC, 0, 1,		//  0 - 3
	2, CM_INC, CM_NONE, 3		//  4 - 7
};

Setup	setup;

void compressInit() {
  FILE *f;
  int i;
#ifdef DEBUG
  compressDebug();
#endif
  if (setup.game < 2) strcpy((char*)buf, "DOOM.HUF");
  else strcpy((char*)buf, "DOOM2.HUF");
  f = fopen((char*)buf, "rb"); assert(f != NULL);
  for (i = 0; i < N_COMPRESSORS; i++) {
    H[i] = new Huff(f);
    if (!H[i]) fatalError("memory allocation failed");
  }
  fclose(f);
}

void compressDeinit() {
  int i;
  for (i = 0; i < N_COMPRESSORS; i++) delete H[i];
}
